#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

void reverse(ll &br) {
    while(br > 0) {
        printf("%lld", br % 10);
        br /= 10;
    }

    printf("\n");
}

int main(void) {

    ios_base::sync_with_stdio(0); cin.tie(0);

    int x, y;

    scanf("%d %d", &x, &y);

    ll br = 0;
    while(x > 0 && y > 0) {
        br *= 10;
        if(x % 10 == y % 10) {
            br += x % 10;
            br *= 10;
            br += y % 10;
        }
        else 
            br += max(x % 10, y % 10);

        x /= 10;
        y /= 10;
    }

    while(x > 0) {
        br *= 10;
        br += x % 10;
        x /= 10;
    }

    while(y > 0) {
        br *= 10;
        br += y % 10;
        y /= 10;
    }

    reverse(br);

    return 0;
}